diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index f70bb49..ceeb045 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -32,8 +32,6 @@
 #include "access/twophase.h"
 #include "access/xact.h"
 #include "access/xlog_internal.h"
-#include "access/xloginsert.h"
-#include "access/xlogreader.h"
 #include "access/xlogutils.h"
 #include "catalog/catversion.h"
 #include "catalog/pg_control.h"
@@ -46,31 +44,19 @@
 #include "postmaster/startup.h"
 #include "replication/basebackup.h"
 #include "replication/logical.h"
-#include "replication/slot.h"
-#include "replication/origin.h"
 #include "replication/snapbuild.h"
 #include "replication/walreceiver.h"
 #include "replication/walsender.h"
-#include "storage/barrier.h"
-#include "storage/bufmgr.h"
-#include "storage/fd.h"
 #include "storage/ipc.h"
 #include "storage/large_object.h"
-#include "storage/latch.h"
 #include "storage/pmsignal.h"
 #include "storage/predicate.h"
-#include "storage/proc.h"
 #include "storage/procarray.h"
 #include "storage/reinit.h"
 #include "storage/smgr.h"
-#include "storage/spin.h"
 #include "utils/builtins.h"
-#include "utils/guc.h"
-#include "utils/memutils.h"
 #include "utils/ps_status.h"
 #include "utils/relmapper.h"
-#include "utils/snapmgr.h"
-#include "utils/timestamp.h"
 #include "pg_trace.h"
 
 extern uint32 bootstrap_data_checksum_version;
diff --git a/src/test/regress/regress.c b/src/test/regress/regress.c
index e7826a4..d3fc910 100644
--- a/src/test/regress/regress.c
+++ b/src/test/regress/regress.c
@@ -16,12 +16,9 @@
 
 #include "postgres.h"
 
-#include <float.h>
-#include <math.h>
 #include <signal.h>
 
 #include "access/htup_details.h"
-#include "access/transam.h"
 #include "access/tuptoaster.h"
 #include "access/xact.h"
 #include "catalog/pg_type.h"
@@ -30,7 +27,6 @@
 #include "executor/executor.h"
 #include "executor/spi.h"
 #include "miscadmin.h"
-#include "port/atomics.h"
 #include "utils/builtins.h"
 #include "utils/geo_decls.h"
 #include "utils/rel.h"
